package config

import (
	commonConfig "cicv-data-closedloop/kinglong/common/cfg"
	"cicv-data-closedloop/kinglong/common/log"
	"net"
	"os"
)

var TcpListener net.Listener

func InitTcpListener() {
	log.GlobalLogger.Info("从节点初始化TCP端口监听 - 开始。")
	socket := commonConfig.CloudConfig.Hosts[1].Ip + ":" + commonConfig.CloudConfig.TcpPort
	var err error
	TcpListener, err = net.Listen("tcp", socket)
	if err != nil {
		log.GlobalLogger.Error("监听tcp端口失败:", err)
		os.Exit(-1)
	}
	log.GlobalLogger.Info("从节点初始化TCP端口监听 - 成功：", socket)
}
